다음을 통해 공유


Partner Transfers - List

고객에게 전송된 전송 요청을 나열합니다. 이 작업은 계약 유형이 Microsoft 파트너 계약인 청구 계정에 대해서만 지원됩니다.

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/customers/{customerName}/transfers?api-version=2024-04-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
billingAccountName
path True

string

pattern: ^([0-9]+|([Pp][Cc][Nn]\.[A-Za-z0-9]+)|[0-9A-Fa-f]{8}-([0-9A-Fa-f]{4}-){3}[0-9A-Fa-f]{12}(:[0-9A-Fa-f]{8}-([0-9A-Fa-f]{4}-){3}[0-9A-Fa-f]{12}_[0-9]{4}(-[0-9]{2}){2})?)$

청구 계정을 고유하게 식별하는 ID입니다.

billingProfileName
path True

string

pattern: ^[a-zA-Z\d-_]{1,128}$

청구 프로필을 고유하게 식별하는 ID입니다.

customerName
path True

string

pattern: ^[a-zA-Z\d-_]{1,128}$

고객을 고유하게 식별하는 ID입니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

응답

Name 형식 Description
200 OK

PartnerTransferDetailsListResult

Azure 작업이 성공적으로 완료되었습니다.

Other Status Codes

ErrorResponse

예기치 않은 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 흐름.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

PartnerTransfersList

샘플 요청

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/10000000-0000-0000-0000-000000000000:00000000-0000-0000-0000-000000000000_2019-05-31/billingProfiles/xxxx-xxxx-xxx-xxx/customers/11111111-1111-1111-1111-111111111111/transfers?api-version=2024-04-01

샘플 응답

{
  "value": [
    {
      "name": "aabb123",
      "type": "Microsoft.Billing/transfers",
      "id": "/providers/Microsoft.Billing/BillingAccounts/10000000-0000-0000-0000-000000000000:00000000-0000-0000-0000-000000000000_2019-05-31/BillingProfiles/xxxx-xxxx-xxx-xxx/customers/11111111-1111-1111-1111-111111111111/transfers/aabb123",
      "properties": {
        "detailedTransferStatus": [
          {
            "productId": "subscriptionId",
            "productName": "Azure subscription 1",
            "productType": "AzureSubscription",
            "skuDescription": "MS-AZR-0017G",
            "transferStatus": "InProgress"
          },
          {
            "productId": "reservedInstanceId",
            "productName": "Reservation name",
            "productType": "AzureReservation",
            "skuDescription": "Standard_D2s_v3;VirtualMachines;P1Y",
            "transferStatus": "InProgress"
          }
        ],
        "expirationTime": "2018-11-05T17:32:28Z",
        "initiatorCustomerType": "Partner",
        "initiatorEmailId": "xyz@contoso.com",
        "recipientEmailId": "user@contoso.com",
        "transferStatus": "InProgress"
      }
    }
  ]
}

정의

Name Description
createdByType

리소스를 만든 ID의 형식입니다.

DetailedTransferStatus

자세한 전송 상태입니다.

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

ErrorDetail

오류 세부 정보입니다.

ErrorResponse

오류 응답

InitiatorCustomerType

이전 개시자의 고객 유형.

PartnerTransferDetails

전송에 대한 세부 정보입니다.

PartnerTransferDetailsListResult

PartnerTransferDetails 항목의 페이지드 컬렉션

ProductTransferStatus

전근 상태.

ProductType

이전되는 제품의 종류.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

TransferError

전송 실행에 대한 오류 세부 정보입니다.

TransferStatus

전근 상태.

createdByType

리소스를 만든 ID의 형식입니다.

Description
User
Application
ManagedIdentity
Key

DetailedTransferStatus

자세한 전송 상태입니다.

Name 형식 Description
errorDetails

TransferError

전송 실행에 대한 오류 세부 정보입니다.

productId

string

전송되는 제품의 ID입니다.

productName

string

전송되는 제품의 이름입니다.

productType

ProductType

전송되는 제품의 유형입니다.

skuDescription

string

전송되는 제품의 SKU입니다.

transferStatus

ProductTransferStatus

전송 상태입니다.

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

Name 형식 Description
info

object

추가 정보입니다.

type

string

추가 정보 유형입니다.

ErrorDetail

오류 세부 정보입니다.

Name 형식 Description
additionalInfo

ErrorAdditionalInfo[]

오류 추가 정보입니다.

code

string

오류 코드입니다.

details

ErrorDetail[]

오류 세부 정보입니다.

message

string

오류 메시지입니다.

target

string

오류 대상입니다.

ErrorResponse

오류 응답

Name 형식 Description
error

ErrorDetail

오류 개체입니다.

InitiatorCustomerType

이전 개시자의 고객 유형.

Description
Partner

Partner

EA

EA

PartnerTransferDetails

전송에 대한 세부 정보입니다.

Name 형식 Description
id

string (arm-id)

리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

리소스의 이름

properties.canceledBy

string

전송 요청을 취소한 사용자의 전자 메일 ID입니다.

properties.detailedTransferStatus

DetailedTransferStatus[]

자세한 전송 상태입니다.

properties.expirationTime

string (date-time)

전송 요청이 만료되는 시간입니다.

properties.initiatorCustomerType

InitiatorCustomerType

전송 요청을 보낸 고객의 유형입니다.

properties.initiatorEmailId

string

전송 요청을 보낸 사용자의 전자 메일 ID입니다.

properties.recipientEmailId

string

전송 요청을 보낸 사용자의 전자 메일 ID입니다.

properties.resellerId

string

Microsoft 파트너 계약 청구 계정에서 전송된 전송 요청에 대한 재판매인의 선택적 MPN ID입니다.

properties.resellerName

string

Microsoft 파트너 계약 청구 계정에서 전송된 전송 요청에 대한 재판매인의 선택적 이름입니다.

properties.transferStatus

TransferStatus

전체 전송 상태입니다.

systemData

systemData

createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다.

tags

object

리소스와 연결된 메타데이터의 사전입니다. 모든 리소스 종류에 대해 채워지지 않을 수 있습니다. 최대 키/값 길이는 256자로 지원됩니다. 키/값은 값이나 null을 비워서는 안 됩니다. 키에는 <> % & \ ? /

type

string

리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts"

PartnerTransferDetailsListResult

PartnerTransferDetails 항목의 페이지드 컬렉션

Name 형식 Description
nextLink

string (uri)

항목의 다음 페이지에 대한 링크

value

PartnerTransferDetails[]

이 페이지의 PartnerTransferDetails 항목들

ProductTransferStatus

전근 상태.

Description
NotStarted

시작되지 않음

InProgress

진행 중

Completed

완료됨

Failed

실패

ProductType

이전되는 제품의 종류.

Description
AzureSubscription

AzureSubscription

AzureReservation

AzureReservation

Department

부서

SavingsPlan

저축계획

SAAS

SAAS

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 만들기의 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID의 형식입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID의 형식입니다.

TransferError

전송 실행에 대한 오류 세부 정보입니다.

Name 형식 Description
code

string

오류 코드입니다.

message

string

오류 메시지입니다.

TransferStatus

전근 상태.

Description
Expired

만료됨

Pending

보류 중

InProgress

진행 중

Completed

완료됨

CompletedWithErrors

CompletedWithErrors

Failed

실패

Canceled

취소됨

Declined

거부함